"use strict";
/********************************************************************************
 * Copyright (C) 2021 Jon Radchenko and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerProxyListViewContribution = void 0;
const browser_1 = require("@theia/core/lib/browser");
const problem_marker_1 = require("@theia/markers/lib/common/problem-marker");
const server_proxy_list_widget_1 = require("./server-proxy-list-widget");
const ServerProxyListCommand = {
    id: server_proxy_list_widget_1.ServerProxyListWidget.ID,
    label: server_proxy_list_widget_1.ServerProxyListWidget.LABEL
};
class ServerProxyListViewContribution extends browser_1.AbstractViewContribution {
    constructor() {
        const options = {
            widgetId: server_proxy_list_widget_1.ServerProxyListWidget.ID,
            widgetName: server_proxy_list_widget_1.ServerProxyListWidget.LABEL,
            defaultWidgetOptions: {
                area: 'bottom',
                rank: 200,
            },
            toggleCommandId: ServerProxyListCommand.id
        };
        super(options);
    }
    async initializeLayout() {
        const problemsWidget = await this.widgetManager.getWidget(problem_marker_1.PROBLEM_KIND);
        const ref = problemsWidget;
        await this.openView({
            mode: "tab-after",
            ref
        });
    }
}
exports.ServerProxyListViewContribution = ServerProxyListViewContribution;
//# sourceMappingURL=server-proxy-list-view-contribution.js.map